Subject: bug#38734: 27.0.60; C-c C-p Warning - 'python-shell-interpreter' doesn't seem to support readline ...

From: Andrii Kolomoiets <[email-masked]>
Date: Wed, 25 Dec 2019 10:34:55 +0200

Hello Pankaj,

> In python-mode, when I pressed C-c C-p to launch Python shell it
> produced below warning. I am on MacOS Catalina 10.15.2. On MacOS
> terminal, the python-shell opens without any warning.

> python.el: native completion setup failed, <class 'Exception'>: libedit based 
> readline is known not to work,
>       see etc/PROBLEMS under "In Inferior Python mode, input is echoed".

Do you use python shipped with MacOS?

Mentioned section of the etc/PROBLEMS file has explanation:

This happens when python uses a libedit based readline module, which
is the default on macOS.

and link to bug#25753: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25753

I'm using python installed via homebrew and native completions works fine.